# $Revision: 1.5 $, $Date: 2002/07/11 12:23:16 $
Summary:	Toolbar for false User-Agent: header
Summary(pl):	Pasek narzdziowy do faszowania identyfikacji przegldarki
Name:		mozilla-addon-uabar
%define		_realname	uabar
Version:	0.1.0
Release:	3
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://uabar.mozdev.org/%{_realname}.xpi
Source1:	%{_realname}-installed-chrome.txt
URL:		http://uabar.mozdev.org/
BuildRequires:	unzip
BuildRequires:	zip
BuildArch:	noarch
Requires:	mozilla >= 1.0-7
BuildRoot:	%{tmpdir}/%{_realname}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_chromedir	%{_libdir}/mozilla/chrome

%description
A toolbar that allows using false browser identify (User-Agent
header).

%description -l pl
Pasek narzdziowy do faszowania identyfikacji przegldarki (nagwka
User-Agent).

%prep
%setup -q -c %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

cd %{_realname}
rm -r CVS
rm -r content/CVS
rm content/*~
zip -r -9 -m ../%{_realname}.jar ./
cd -

install %{_realname}.jar $RPM_BUILD_ROOT%{_chromedir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_chromedir}

%post
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%postun
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_realname}.jar
%{_chromedir}/%{_realname}-installed-chrome.txt

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mozilla-addon-uabar.spec,v $
Revision 1.5  2002/07/11 12:23:16  jojoro
- rel3
- repacking into single .jar file

Revision 1.4  2002/06/23 18:35:28  kloczek
- make package as noarch,
- simplifications in %post/%postun.

Revision 1.3  2002/06/23 15:06:49  adgor
- Corrected %%post & %%postun
- Requires: mozilla >= 1.0-7
- Release 2

Revision 1.2  2002/06/22 23:20:40  qboosh
- cleanups and cosmetics, added en description

Revision 1.1  2002/06/20 22:35:18  jojoro
- initial elease
